from flask_wtf import FlaskForm
from wtforms import StringField, PasswordField
from wtforms.validators import InputRequired, Email, Length, DataRequired

class ChangePwsd(FlaskForm):
    cur_pswd = PasswordField(
        'Contrseña Actual', 
        validators=[
            DataRequired(message="La contraseña es obligatoria")
        ],
        description="contraseña actual",
        render_kw={"placeholder": "Ingresa tu contraseña"}
    )
    
    new_pswd = PasswordField(
        'Nueva Contraseña', 
        validators=[
            DataRequired(message="La nueva contraseña es obligatoria")
        ],
        description="Contraseña nueva",
        render_kw={"placeholder": "Ingresa tu nueva contraseña"}
    )
